GNU bug report logs - #50223
Add new shr faces and rendering functions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jeremy Friesen <jeremy.n.friesen@HIDDEN>; Keywords: patch pending; dated Fri, 27 Aug 2021 07:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) pending. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Aug 2021 06:59:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 02:59:13 2021
Received: from localhost ([127.0.0.1]:51154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJVpY-0004vD-PU
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 02:59:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:53714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy.n.friesen@HIDDEN>) id 1mJR9K-0003Td-Ko
 for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 21:59:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39970)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jeremy.n.friesen@HIDDEN>)
 id 1mJR9K-0001kO-DH
 for bug-gnu-emacs@HIDDEN; Thu, 26 Aug 2021 21:59:18 -0400
Received: from mail-pj1-x1036.google.com ([2607:f8b0:4864:20::1036]:41477)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jeremy.n.friesen@HIDDEN>)
 id 1mJR9E-000565-Pt
 for bug-gnu-emacs@HIDDEN; Thu, 26 Aug 2021 21:59:17 -0400
Received: by mail-pj1-x1036.google.com with SMTP id
 z24-20020a17090acb1800b0018e87a24300so3751312pjt.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Aug 2021 18:59:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=imqt7WnOG1BiHFGO2PL0nTyNb0GCluA3rdxF0OTO2U0=;
 b=uB6lCArG4EUC8KJIpBBIzEXMMB0FRaRDEBpmEccurgHTk2Xiw7R/lAQVNWJSCQ6+yz
 6RubJjbFTGh45HJe2dd3qYfzmH1VqVrqaVv+BoPzYXlFP6NqokuuTbWLoYky1P0PLEMm
 +fDE6t6mR7YQCQ6OTQEHe8EmbfIOac4Gh+b2yS70P2FjWIGe59HN60xccgOhDKtg9Bcx
 Wsa9kKkIH8NXtXRCtDmQSfXYQ63OgtksyCoBnhzMxO+PkfrhLGCX7XAoIvAoztkddU4/
 EqkhppyM1LD9ftemDlFMh+JY6RkeTVSX6QJkv8gDLDvs8lwEfT3dqUeCG7ejTuZLH+66
 kLHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=imqt7WnOG1BiHFGO2PL0nTyNb0GCluA3rdxF0OTO2U0=;
 b=KIzkBBG2inILmCXwrNhNDBFSmBQtIMcq7BEymU+eV3sYXuFbIaFUnoVCzfqkmFtnrm
 negXoDfLkc735tbrsxrPRsTRe2sO8ddgG/7jL2GFgSYS4h/lfMC2S0qSfh+oohk3M17l
 yoqUIAQursHxjmvRbIEzmFS14mTP4BaoeN20v0hy0R1UzQXw4l4ffgME4BtA0jjnoW+6
 wd7QiYcpGM07FZawZ91y9oqU4Kio6x1IQytiSzSTk4eupkuEotIbcbkXrQljLqFBAGEi
 MQ324HcDt5P5AJ0klQeUqDZmVTp/D5D+GNFBkHsFmcfYPntV4DnpVfdQB6wR2yXe1+9u
 43MA==
X-Gm-Message-State: AOAM531kLteAnQfAvfOn8+HYO7dPQ0eR45/1aCrqBekDWK1NWutzA1uS
 Vjo1Ujvvrj7tx2dC/Zi/GSgtWc6VOC6HNY5+A9mBLkjTRRo=
X-Google-Smtp-Source: ABdhPJymRxBxz3DlLhBwP//qOx26NLAB7ZQDYhaVw5bDa2enRimmRxxhCgczMOrk6Co0P1ng+NSeGwqaPyUrE60aOXk=
X-Received: by 2002:a17:90a:d3d2:: with SMTP id
 d18mr20259436pjw.102.1630029550953; 
 Thu, 26 Aug 2021 18:59:10 -0700 (PDT)
MIME-Version: 1.0
From: Jeremy Friesen <jeremy.n.friesen@HIDDEN>
Date: Thu, 26 Aug 2021 21:58:35 -0400
Message-ID: <CALSSkZvugqEofBGF-ioKpipcgsEtLdnNSt9QcHepQt_HTm1cHQ@HIDDEN>
Subject: Add new shr faces and rendering functions
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000005bce1d05ca80d46d"
Received-SPF: pass client-ip=2607:f8b0:4864:20::1036;
 envelope-from=jeremy.n.friesen@HIDDEN; helo=mail-pj1-x1036.google.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_20=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 27 Aug 2021 02:59:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000005bce1d05ca80d46d
Content-Type: multipart/alternative; boundary="0000000000005bce1b05ca80d46b"

--0000000000005bce1b05ca80d46b
Content-Type: text/plain; charset="UTF-8"

Per conversations with larsi@HIDDEN, I'm submitting a patch for adding
the following to SHR:

    * lisp/net/shr.el (shr-tag-cite): Add <CITE> tag
    * lisp/net/shr.el (shr-tag-dfn): Add <DFN> tag
    * lisp/net/shr.el (shr-tag-small): Add <SMALL> tag
    * lisp/net/shr.el (shr-tag-time): Add <TIME> tag
    * lisp/net/shr.el (shr-tag-q): Add <Q> tag
    * lisp/net/shr.el (shr-around-q-tag): New defcustom
    * lisp/net/shr.el (shr-time): New defface
    * lisp/net/shr.el (shr-small): New defface

-- 

Jeremy Friesen
takeonrules.com

--0000000000005bce1b05ca80d46b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Per conversations with <span class=3D"gmail-gI"><span=
 class=3D"gmail-qu" role=3D"gridcell" tabindex=3D"-1"><span class=3D"gmail-=
go"><a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a><span aria-hidden=
=3D"true">, I&#39;m submitting a patch for adding the following to SHR:<br>=
</span></span></span></span></div><div><span class=3D"gmail-gI"><span class=
=3D"gmail-qu" role=3D"gridcell" tabindex=3D"-1"><span class=3D"gmail-go"><s=
pan aria-hidden=3D"true"><br></span></span></span></span></div><div><span c=
lass=3D"gmail-gI"><span class=3D"gmail-qu" role=3D"gridcell" tabindex=3D"-1=
"><span class=3D"gmail-go"><span aria-hidden=3D"true">=C2=A0 =C2=A0 * lisp/=
net/shr.el (shr-tag-cite): Add &lt;CITE&gt; tag<br>=C2=A0 =C2=A0 * lisp/net=
/shr.el (shr-tag-dfn): Add &lt;DFN&gt; tag<br>=C2=A0 =C2=A0 * lisp/net/shr.=
el (shr-tag-small): Add &lt;SMALL&gt; tag<br>=C2=A0 =C2=A0 * lisp/net/shr.e=
l (shr-tag-time): Add &lt;TIME&gt; tag<br>=C2=A0 =C2=A0 * lisp/net/shr.el (=
shr-tag-q): Add &lt;Q&gt; tag<br>=C2=A0 =C2=A0 * lisp/net/shr.el (shr-aroun=
d-q-tag): New defcustom<br>=C2=A0 =C2=A0 * lisp/net/shr.el (shr-time): New =
defface<br>=C2=A0 =C2=A0 * lisp/net/shr.el (shr-small): New defface</span><=
/span></span></span></div><div><br>-- <br><div dir=3D"ltr" class=3D"gmail_s=
ignature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><div><br></di=
v>Jeremy Friesen<div><a href=3D"http://takeonrules.com" target=3D"_blank">t=
akeonrules.com</a></div></div></div></div></div>

--0000000000005bce1b05ca80d46b--

--0000000000005bce1d05ca80d46d
Content-Type: application/octet-stream; 
	name="0002-Add-new-shr-faces-and-rendering-functions.patch"
Content-Disposition: attachment; 
	filename="0002-Add-new-shr-faces-and-rendering-functions.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kstpfx3u0>
X-Attachment-Id: f_kstpfx3u0
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--0000000000005bce1d05ca80d46d--




Acknowledgement sent to Jeremy Friesen <jeremy.n.friesen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50223; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Sep 2021 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.